Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class CrawlerUtilities

    java.lang.Object
      oracle.ifs.core.util.CrawlerUtilities

    public class CrawlerUtilities

extends java.lang.Object

CralwerUtilities exposes utility methods used to primarily support CrawlerHandler in invoking DDL and batch JDBC DML against the ECM schema.

Nested Class Summary
`static class` | `CrawlerUtilities.AlertType`
`static class` | `CrawlerUtilities.BatchAlertInserter`

Field Summary
`static java.lang.String` | `ALERT_SEQUENCE_NAME` Sequence name used for populating seq column of alert tables when performing inserts.
`static java.lang.String` | `ALERT_TABLE_DEFINITION` DDL template for creation of an alert table.
`static java.lang.String` | `ALERT_TABLE_INSERT_SQL` DML template for insertion of values in to an alert table.
`static java.lang.String` | `ATTRIBUTE_DATATYPE_TABLE_NAME` Table name for attribute data type mapping table
`static java.lang.String` | `CRAWLER_ALERTTYPE_TABLE_NAME` Table name for crawler alert type mapping table
`static java.lang.String` | `DOCUMENTCATEGORYTYPE_VIEWNAME_SELECT_STATEMENT` Select statement to retrieve adhoc category view names from odmzv_document_category_type view.
`static java.lang.String` | `VIEW_NAME_CANDIDATEACLS` View name for odmzv_candidateacls.
`static java.lang.String` | `VIEW_NAME_CRAWLERPROPERTY` View name for odmzv_crawler_property.
`static java.lang.String` | `VIEW_NAME_DOCUMENTCATEGORYATTR` View name for odmzv_document_category_attr.
`static java.lang.String` | `VIEW_NAME_DOCUMENTCATEGORYINFO` View name for odmzv_document_category_info.
`static java.lang.String` | `VIEW_NAME_DOCUMENTCATEGORYTYPE` View name for odmzv_document_category_type.
`static java.lang.String` | `VIEW_NAME_DOCUMENTINFO` View name for odmzv_document_info.
`static java.lang.String` | `VIEW_NAME_DOMAINPROPERTIES` View name for odmzv_domain_properties.
`static java.lang.String` | `VIEW_NAME_FOLDERHIERARCHY` View name for odmzv_folder_hierarchy.
`static java.lang.String` | `VIEW_NAME_RESOLVEDGRANTEE` View name for odmzv_resolved_grantee.
`static java.lang.String` | `VIEW_NAME_RESOLVEDUSER` View name for odmzv_resolved_user.
`static java.lang.String` | `VIEW_NAME_SECUREDDOCUMENT` View name for odmzv_secured_document.
`static java.lang.String` | `VIEW_NAME_SECURITYDEFINITION` View name for odmzv_security_definition.
`static java.lang.String` | `VIEW_NAME_USERINFO` View name for odmzv_user_info.
`static java.lang.String[]` | `VIEW_NAMES` The ordered array of View names to which access must be granted.

Method Summary
`static void` | `createAlertTable(LibrarySession session, java.lang.String tableName, java.lang.String grantee)` Create alert table for crawler instance, and grant all privileges to specified grantee.
`static void` | `grantAccessToObjects(LibrarySession session, java.lang.String grantee, boolean categoriesOnly)` Grant select access to grantee on adhoc category views, and potentially map tables and crawler views should categoriesOnly parameter be set to false.
`static DirectoryGroup[]` | `selectDirectoryGroups(LibrarySession session, long id)` Selects the set of DirectoryGroups affected by the specified Group member change

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_DATATYPE_TABLE_NAME

    public static final java.lang.String ATTRIBUTE_DATATYPE_TABLE_NAME

  Description copied from class: `CrawlerUtilities`
  Table name for attribute data type mapping table

  See Also:
    Constant Field Values

### CRAWLER_ALERTTYPE_TABLE_NAME

    public static final java.lang.String CRAWLER_ALERTTYPE_TABLE_NAME

  Description copied from class: `CrawlerUtilities`
  Table name for crawler alert type mapping table

  See Also:
    Constant Field Values

### ALERT_SEQUENCE_NAME

    public static final java.lang.String ALERT_SEQUENCE_NAME

  Description copied from class: `CrawlerUtilities`
  Sequence name used for populating seq column of alert tables when performing inserts.

  See Also:
    Constant Field Values

### ALERT_TABLE_DEFINITION

    public static final java.lang.String ALERT_TABLE_DEFINITION

  Description copied from class: `CrawlerUtilities`
  DDL template for creation of an alert table.

  See Also:
    Constant Field Values

### ALERT_TABLE_INSERT_SQL

    public static final java.lang.String ALERT_TABLE_INSERT_SQL

  Description copied from class: `CrawlerUtilities`
  DML template for insertion of values in to an alert table.

  See Also:
    Constant Field Values

### VIEW_NAME_DOMAINPROPERTIES

    public static final java.lang.String VIEW_NAME_DOMAINPROPERTIES

  Description copied from class: `CrawlerUtilities`
  View name for odmzv_domain_properties.

  See Also:
    Constant Field Values

### VIEW_NAME_CANDIDATEACLS

    public static final java.lang.String VIEW_NAME_CANDIDATEACLS

  Description copied from class: `CrawlerUtilities`
  View name for odmzv_candidateacls.

  See Also:
    Constant Field Values

### VIEW_NAME_RESOLVEDUSER

    public static final java.lang.String VIEW_NAME_RESOLVEDUSER

  Description copied from class: `CrawlerUtilities`
  View name for odmzv_resolved_user.

  See Also:
    Constant Field Values

### VIEW_NAME_SECUREDDOCUMENT

    public static final java.lang.String VIEW_NAME_SECUREDDOCUMENT

  Description copied from class: `CrawlerUtilities`
  View name for odmzv_secured_document.

  See Also:
    Constant Field Values

### VIEW_NAME_SECURITYDEFINITION

    public static final java.lang.String VIEW_NAME_SECURITYDEFINITION

  Description copied from class: `CrawlerUtilities`
  View name for odmzv_security_definition.

  See Also:
    Constant Field Values

### VIEW_NAME_RESOLVEDGRANTEE

    public static final java.lang.String VIEW_NAME_RESOLVEDGRANTEE

  Description copied from class: `CrawlerUtilities`
  View name for odmzv_resolved_grantee.

  See Also:
    Constant Field Values

### VIEW_NAME_USERINFO

    public static final java.lang.String VIEW_NAME_USERINFO

  Description copied from class: `CrawlerUtilities`
  View name for odmzv_user_info.

  See Also:
    Constant Field Values

### VIEW_NAME_DOCUMENTINFO

    public static final java.lang.String VIEW_NAME_DOCUMENTINFO

  Description copied from class: `CrawlerUtilities`
  View name for odmzv_document_info.

  See Also:
    Constant Field Values

### VIEW_NAME_FOLDERHIERARCHY

    public static final java.lang.String VIEW_NAME_FOLDERHIERARCHY

  Description copied from class: `CrawlerUtilities`
  View name for odmzv_folder_hierarchy.

  See Also:
    Constant Field Values

### VIEW_NAME_DOCUMENTCATEGORYINFO

    public static final java.lang.String VIEW_NAME_DOCUMENTCATEGORYINFO

  Description copied from class: `CrawlerUtilities`
  View name for odmzv_document_category_info.

  See Also:
    Constant Field Values

### VIEW_NAME_DOCUMENTCATEGORYTYPE

    public static final java.lang.String VIEW_NAME_DOCUMENTCATEGORYTYPE

  Description copied from class: `CrawlerUtilities`
  View name for odmzv_document_category_type.

  See Also:
    Constant Field Values

### DOCUMENTCATEGORYTYPE_VIEWNAME_SELECT_STATEMENT

    public static final java.lang.String DOCUMENTCATEGORYTYPE_VIEWNAME_SELECT_STATEMENT

  Description copied from class: `CrawlerUtilities`
  Select statement to retrieve adhoc category view names from odmzv_document_category_type view.

  See Also:
    Constant Field Values

### VIEW_NAME_DOCUMENTCATEGORYATTR

    public static final java.lang.String VIEW_NAME_DOCUMENTCATEGORYATTR

  Description copied from class: `CrawlerUtilities`
  View name for odmzv_document_category_attr.

  See Also:
    Constant Field Values

### VIEW_NAME_CRAWLERPROPERTY

    public static final java.lang.String VIEW_NAME_CRAWLERPROPERTY

  Description copied from class: `CrawlerUtilities`
  View name for odmzv_crawler_property.

  See Also:
    Constant Field Values

### VIEW_NAMES

    public static final java.lang.String[] VIEW_NAMES

  Description copied from class: `CrawlerUtilities`
  The ordered array of View names to which access must be granted.

Method Detail

### grantAccessToObjects

    public static void grantAccessToObjects(LibrarySession session,
                                            java.lang.String grantee,
                                            boolean categoriesOnly)
                                     throws IfsException

  Description copied from class: `CrawlerUtilities`
  Grant select access to grantee on adhoc category views, and potentially map tables and crawler views should categoriesOnly parameter be set to false.

  Parameters:
    `session` - the session context
    `grantee` - the schema/user for whom to grant access
    `categoriesOnly` - boolean - If true, only grants to adhoc category views are performed. If false, grants to all crawler views, map tables, and adhoc category views are made.
  Throws:
    `IfsException` - if the operation fails

### createAlertTable

    public static void createAlertTable(LibrarySession session,
                                        java.lang.String tableName,
                                        java.lang.String grantee)
                                 throws IfsException

  Description copied from class: `CrawlerUtilities`
  Create alert table for crawler instance, and grant all privileges to specified grantee.

  Parameters:
    `session` - the session context
    `tableName` - the name of alert table to be created
    `grantee` - the schema/user for whom to grant all privileges
  Throws:
    `IfsException` - if the operation fails

### selectDirectoryGroups

    public static DirectoryGroup[] selectDirectoryGroups(LibrarySession session,
                                                         long id)
                                                  throws IfsException

  Description copied from class: `CrawlerUtilities`
  Selects the set of DirectoryGroups affected by the specified Group member change

  Parameters:
    `session` - the session context
    `id` - the ID of the Group where member change occurred
  Returns:
    array of DirectoryGroups
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD